#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private AcornWealthScanner[] cacheAcornWealthScanner;

		
		public AcornWealthScanner AcornWealthScanner(int tMFPeriods, int bollingerPeriod, double numStdDev, int rSIPeriod, int rSIOverBoughtLevel, int rSIOverSoldLevel, int volAvePeriod)
		{
			return AcornWealthScanner(Input, tMFPeriods, bollingerPeriod, numStdDev, rSIPeriod, rSIOverBoughtLevel, rSIOverSoldLevel, volAvePeriod);
		}


		
		public AcornWealthScanner AcornWealthScanner(ISeries<double> input, int tMFPeriods, int bollingerPeriod, double numStdDev, int rSIPeriod, int rSIOverBoughtLevel, int rSIOverSoldLevel, int volAvePeriod)
		{
			if (cacheAcornWealthScanner != null)
				for (int idx = 0; idx < cacheAcornWealthScanner.Length; idx++)
					if (cacheAcornWealthScanner[idx].TMFPeriods == tMFPeriods && cacheAcornWealthScanner[idx].BollingerPeriod == bollingerPeriod && cacheAcornWealthScanner[idx].NumStdDev == numStdDev && cacheAcornWealthScanner[idx].RSIPeriod == rSIPeriod && cacheAcornWealthScanner[idx].RSIOverBoughtLevel == rSIOverBoughtLevel && cacheAcornWealthScanner[idx].RSIOverSoldLevel == rSIOverSoldLevel && cacheAcornWealthScanner[idx].VolAvePeriod == volAvePeriod && cacheAcornWealthScanner[idx].EqualsInput(input))
						return cacheAcornWealthScanner[idx];
			return CacheIndicator<AcornWealthScanner>(new AcornWealthScanner(){ TMFPeriods = tMFPeriods, BollingerPeriod = bollingerPeriod, NumStdDev = numStdDev, RSIPeriod = rSIPeriod, RSIOverBoughtLevel = rSIOverBoughtLevel, RSIOverSoldLevel = rSIOverSoldLevel, VolAvePeriod = volAvePeriod }, input, ref cacheAcornWealthScanner);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.AcornWealthScanner AcornWealthScanner(int tMFPeriods, int bollingerPeriod, double numStdDev, int rSIPeriod, int rSIOverBoughtLevel, int rSIOverSoldLevel, int volAvePeriod)
		{
			return indicator.AcornWealthScanner(Input, tMFPeriods, bollingerPeriod, numStdDev, rSIPeriod, rSIOverBoughtLevel, rSIOverSoldLevel, volAvePeriod);
		}


		
		public Indicators.AcornWealthScanner AcornWealthScanner(ISeries<double> input , int tMFPeriods, int bollingerPeriod, double numStdDev, int rSIPeriod, int rSIOverBoughtLevel, int rSIOverSoldLevel, int volAvePeriod)
		{
			return indicator.AcornWealthScanner(input, tMFPeriods, bollingerPeriod, numStdDev, rSIPeriod, rSIOverBoughtLevel, rSIOverSoldLevel, volAvePeriod);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.AcornWealthScanner AcornWealthScanner(int tMFPeriods, int bollingerPeriod, double numStdDev, int rSIPeriod, int rSIOverBoughtLevel, int rSIOverSoldLevel, int volAvePeriod)
		{
			return indicator.AcornWealthScanner(Input, tMFPeriods, bollingerPeriod, numStdDev, rSIPeriod, rSIOverBoughtLevel, rSIOverSoldLevel, volAvePeriod);
		}


		
		public Indicators.AcornWealthScanner AcornWealthScanner(ISeries<double> input , int tMFPeriods, int bollingerPeriod, double numStdDev, int rSIPeriod, int rSIOverBoughtLevel, int rSIOverSoldLevel, int volAvePeriod)
		{
			return indicator.AcornWealthScanner(input, tMFPeriods, bollingerPeriod, numStdDev, rSIPeriod, rSIOverBoughtLevel, rSIOverSoldLevel, volAvePeriod);
		}

	}
}

#endregion
